Debian Bug report logs - #251828
lspci: option to output XFree86 compatible ids.

version graph

Package: pciutils; Maintainer for pciutils is Anibal Monsalve Salazar <anibal@debian.org>; Source for pciutils is src:pciutils.

Reported by: Bill Allombert <ballombe@debian.org>

Date: Mon, 31 May 2004 08:18:02 UTC

Severity: wishlist

Found in version 1:2.1.11-11

Fixed in version pciutils/1:2.1.11-13

Done: Remco van de Meent <remco@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Remco van de Meent <remco@debian.org>:
Bug#251828; Package pciutils. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Remco van de Meent <remco@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lspci: option to output XFree86 compatible ids.
Date: Mon, 31 May 2004 10:05:27 +0200
Package: pciutils
Version: 1:2.1.11-11
Severity: wishlist
File: /usr/bin/lspci

Hello Remco,

It would be nice if lspci provided an option, says -X, to output ids in 
XFree86 format:

1) That would make easier to write XFree86Config
2) That would avoid dexconf breaking each time lspci -n format
change, like recently, when it got prepended the domain.

The following format should work:

printf("PCI:%d:%d:%d %s: %s",
         p->bus,
         p->dev,
         p->func,
         pci_lookup_name(pacc, classbuf, sizeof(classbuf),
                         PCI_LOOKUP_CLASS,
                         get_conf_word(d, PCI_CLASS_DEVICE), 0, 0, 0),
         pci_lookup_name(pacc, devbuf, sizeof(devbuf),
                         PCI_LOOKUP_VENDOR | PCI_LOOKUP_DEVICE,
                         p->vendor_id, p->device_id, 0, 0));

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Reply sent to Remco van de Meent <remco@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 251828-close@bugs.debian.org (full text, mbox):

From: Remco van de Meent <remco@debian.org>
To: 251828-close@bugs.debian.org
Subject: Bug#251828: fixed in pciutils 1:2.1.11-13
Date: Fri, 09 Jul 2004 10:32:05 -0400
Source: pciutils
Source-Version: 1:2.1.11-13

We believe that the bug you reported is fixed in the latest version of
pciutils, which is due to be installed in the Debian FTP archive:

pciutils-dev_2.1.11-13_i386.deb
  to pool/main/p/pciutils/pciutils-dev_2.1.11-13_i386.deb
pciutils_2.1.11-13.diff.gz
  to pool/main/p/pciutils/pciutils_2.1.11-13.diff.gz
pciutils_2.1.11-13.dsc
  to pool/main/p/pciutils/pciutils_2.1.11-13.dsc
pciutils_2.1.11-13_i386.deb
  to pool/main/p/pciutils/pciutils_2.1.11-13_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 251828@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Remco van de Meent <remco@debian.org> (supplier of updated pciutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  9 Jul 2004 16:13:52 +0200
Source: pciutils
Binary: pciutils-dev pciutils
Architecture: source i386
Version: 1:2.1.11-13
Distribution: unstable
Urgency: low
Maintainer: Remco van de Meent <remco@debian.org>
Changed-By: Remco van de Meent <remco@debian.org>
Description: 
 pciutils   - Linux PCI Utilities (for 2.*.* kernels)
 pciutils-dev - Linux PCI Utilities (for 2.*.* kernels) (development files)
Closes: 250737 251828 253020 256352
Changes: 
 pciutils (1:2.1.11-13) unstable; urgency=low
 .
   * Updated pci.ids
   * Add pcimodules utility (closes: #253020)
   * Add -X option for output suitable for use in XFree86Config (closes:
     #251828)
   * Fix problem with lspci displaying wrong bar size (closes: #256352)
   * Make machine-readable output better machine-readable (closes:
     #250737)
Files: 
 9eb82d1661fa08cdd36df3ee98b14dea 604 admin optional pciutils_2.1.11-13.dsc
 38cdda10f8c08cc9de146a5ea10e8f9c 69799 admin optional pciutils_2.1.11-13.diff.gz
 644981cdabf1574ab9c345531a9ff714 142836 admin optional pciutils_2.1.11-13_i386.deb
 9258d7509653b693747d1028925bc9c7 21120 devel optional pciutils-dev_2.1.11-13_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA7qh52tWnGbzBMd4RAmX9AJ9ED71cAyUUT94y81qqK7DNvBtzEQCdFLLr
LzaC27sY4K9rLpNn3VuPwYM=
=xX1A
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:57:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.